package com.red.circle.other.app.inner.service.user.user;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.user.BeautifulNumberQryCmd;
import com.red.circle.other.inner.model.cmd.user.UserBeautifulNumberApplyQryCmd;
import com.red.circle.other.inner.model.cmd.user.UserBeautifulNumberCmd;
import com.red.circle.other.inner.model.dto.user.BeautifulNumberDTO;
import com.red.circle.other.inner.model.dto.user.UserBeautifulNumberApplyDTO;

/**
 * <p>
 * 用户申请靓号记录 服务类.
 * </p>
 *
 * @author pengshigang
 * @since 2021-08-18
 */
public interface UserBeautifulNumberClientService {

  PageResult<UserBeautifulNumberApplyDTO> pageBeautifulNumberApply(
      UserBeautifulNumberApplyQryCmd query);

  void handleApply(Long id, Integer state, String remark);

  void updateBeautifulNumber(UserBeautifulNumberCmd cmd);

  void addBeautifulNumber(UserBeautifulNumberCmd cmd);

  PageResult<BeautifulNumberDTO> pageBeautifulNumber(BeautifulNumberQryCmd query);

  void deleteBeautifulNumber(Long id);
}
